Chart-1.9.5: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2006 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Plot.Points

Contents

- Accessors

Description

Functions to plot sets of points, marked in various styles.

Synopsis

- data PlotPoints x y = PlotPoints {
  - _plot_points_title :: String
  - _plot_points_style :: PointStyle
  - _plot_points_values :: [(x, y)]
  }
- plot_points_title :: forall x y f. Functor f => (String -> f String) -> PlotPoints x y -> f (PlotPoints x y)
- plot_points_style :: forall x y f. Functor f => (PointStyle -> f PointStyle) -> PlotPoints x y -> f (PlotPoints x y)
- plot_points_values :: forall x1 y1 x2 y2 f. Functor f => ([(x1, y1)] -> f [(x2, y2)]) -> PlotPoints x1 y1 -> f (PlotPoints x2 y2)

# Documentation

data PlotPoints x y Source #

Value defining a series of datapoints, and a style in which to render them.

Constructors

PlotPoints |

Fields

- _plot_points_title :: String
- _plot_points_style :: PointStyle
- _plot_points_values :: [(x, y)]

#### Instances

Instances details

ToPlot PlotPoints Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.Points Methods toPlot :: PlotPoints x y -> Plot x y Source #
Default (PlotPoints x y) Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.Points Methods def :: PlotPoints x y #

# Accessors

These accessors are generated by template haskell

plot_points_title :: forall x y f. Functor f => (String -> f String) -> PlotPoints x y -> f (PlotPoints x y) Source #

plot_points_style :: forall x y f. Functor f => (PointStyle -> f PointStyle) -> PlotPoints x y -> f (PlotPoints x y) Source #

plot_points_values :: forall x1 y1 x2 y2 f. Functor f => ([(x1, y1)] -> f [(x2, y2)]) -> PlotPoints x1 y1 -> f (PlotPoints x2 y2) Source #